## dazzdb 1.0

=== Makefile ===
CFLAGS = -O3 -Wall -Wextra -fno-strict-aliasing

ALL = fasta2DB DB2fasta quiva2DB DB2quiva DBsplit DBdust Catrack DBshow DBstats DBrm simulator \
      fasta2DAM DAM2fasta

all: $(ALL)

fasta2DB: fasta2DB.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o fasta2DB fasta2DB.c DB.c QV.c -lm

DB2fasta: DB2fasta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DB2fasta DB2fasta.c DB.c QV.c -lm

quiva2DB: quiva2DB.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o quiva2DB quiva2DB.c DB.c QV.c -lm

DB2quiva: DB2quiva.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DB2quiva DB2quiva.c DB.c QV.c -lm

DBsplit: DBsplit.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBsplit DBsplit.c DB.c QV.c -lm

DBdust: DBdust.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBdust DBdust.c DB.c QV.c -lm

Catrack: Catrack.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o Catrack Catrack.c DB.c QV.c -lm

DBshow: DBshow.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBshow DBshow.c DB.c QV.c -lm

DBstats: DBstats.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBstats DBstats.c DB.c QV.c -lm

DBrm: DBrm.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBrm DBrm.c DB.c QV.c -lm

simulator: simulator.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o simulator simulator.c DB.c QV.c -lm

fasta2DAM: fasta2DAM.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o fasta2DAM fasta2DAM.c DB.c QV.c -lm

DAM2fasta: DAM2fasta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DAM2fasta DAM2fasta.c DB.c QV.c -lm

DBupgrade.Sep.25.2014: DBupgrade.Sep.25.2014.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBupgrade.Sep.25.2014 DBupgrade.Sep.25.2014.c DB.c QV.c -lm

DBupgrade.Dec.31.2014: DBupgrade.Dec.31.2014.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBupgrade.Dec.31.2014 DBupgrade.Dec.31.2014.c DB.c QV.c -lm

DUSTupgrade.Jan.1.2015: DUSTupgrade.Jan.1.2015.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DUSTupgrade.Jan.1.2015 DUSTupgrade.Jan.1.2015.c DB.c QV.c -lm

clean:
	rm -f $(ALL)
	rm -fr *.dSYM
	rm -f DBupgrade.Sep.25.2014 DBupgrade.Dec.31.2014 DUSTupgrade.Jan.1.2015
	rm -f dazz.db.tar.gz

install:
	cp $(ALL) ~/bin

package:
	make clean
	tar -zcf dazz.db.tar.gz README Makefile *.h *.c

=== debian/changelog ===
dazzdb (1.0-1) unstable; urgency=low

  * Initial release (Closes: #798873)

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 20 Sep 2015 03:11:58 -0700

=== debian/control ===
Source: dazzdb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
	       pandoc
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/dazzdb.git
Vcs-Git: git://anonscm.debian.org/debian-med/dazzdb.git
Homepage: https://github.com/thegenemyers/DAZZ_DB

Package: dazzdb
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: manage nucleotide sequencing read data
 To facilitate the multiple phases of the dazzler assembler, all the read data
 is organized into what is effectively a database of the
 reads and their meta-information. The design goals for this data base
 are as follows:
  * The database stores the source Pacbio read information in such a
    way that it can re-create the original input data, thus permitting
    a user to remove the (effectively redundant) source files. This
    avoids duplicating the same data, once in the source file and once
    in the database.
  * The data base can be built up incrementally, that is new sequence
    data can be added to the data base over time.
  * The data base flexibly allows one to store any meta-data desired for
    reads. This is accomplished with the concept of *tracks* that
    implementors can add as they need them.
  * The data is held in a compressed form equivalent to the .dexta and
    .dexqv files of the data extraction module. Both the .fasta and
    .quiva information for each read is held in the data base and can be
    recreated from it. The .quiva information can be added separately and
    later on if desired.
  * To facilitate job parallel, cluster operation of the phases of the
    assembler, the database has a concept of a *current partitioning* in
    which all the reads that are over a given length and optionally
    unique to a well, are divided up into *blocks* containing roughly a
    given number of bases, except possibly the last block which may have
    a short count. Often programs can be run on blocks or pairs of blocks
    and each such job is reasonably well balanced as the blocks are all
    the same size. One must be careful about changing the partition
    during an assembly as doing so can void the structural validity of
    any interim block-based results.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

CFLAGS := $(CPPFLAGS) $(CFLAGS)

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C debian/man

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C debian/man clean

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/dazzdb-$1.tar.gz/" \
    https://github.com/thegenemyers/DAZZ_DB/tags (?:.*/)?[vV]?(\d[\d\.]*)\.tar\.gz

## dazzdb 1.0+20160930

=== Makefile ===
DEST_DIR = ~/bin

CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing

ALL = fasta2DB DB2fasta quiva2DB DB2quiva DBsplit DBdust Catrack DBshow DBstats DBrm simulator \
      fasta2DAM DAM2fasta DBdump rangen

all: $(ALL)

fasta2DB: fasta2DB.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o fasta2DB fasta2DB.c DB.c QV.c -lm

DB2fasta: DB2fasta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DB2fasta DB2fasta.c DB.c QV.c -lm

quiva2DB: quiva2DB.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -DINTERACTIVE -o quiva2DB quiva2DB.c DB.c QV.c -lm

DB2quiva: DB2quiva.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DB2quiva DB2quiva.c DB.c QV.c -lm

DBsplit: DBsplit.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBsplit DBsplit.c DB.c QV.c -lm

DBdust: DBdust.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBdust DBdust.c DB.c QV.c -lm

Catrack: Catrack.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o Catrack Catrack.c DB.c QV.c -lm

DBshow: DBshow.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBshow DBshow.c DB.c QV.c -lm

DBdump: DBdump.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBdump DBdump.c DB.c QV.c -lm

DBstats: DBstats.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBstats DBstats.c DB.c QV.c -lm

DBrm: DBrm.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBrm DBrm.c DB.c QV.c -lm

simulator: simulator.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o simulator simulator.c DB.c QV.c -lm

rangen: rangen.c
	gcc $(CFLAGS) -o rangen rangen.c

fasta2DAM: fasta2DAM.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o fasta2DAM fasta2DAM.c DB.c QV.c -lm

DAM2fasta: DAM2fasta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DAM2fasta DAM2fasta.c DB.c QV.c -lm

clean:
	rm -f $(ALL)
	rm -fr *.dSYM
	rm -f dazz.db.tar.gz

install:
	cp $(ALL) $(DEST_DIR)

package:
	make clean
	tar -zcf dazz.db.tar.gz README.md Makefile *.h *.c

=== debian/changelog ===
dazzdb (1.0+20160930-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Mon, 17 Oct 2016 23:53:56 -0700

dazzdb (1.0+20160930-1) unstable; urgency=medium

  * Imported Upstream version 1.0+20160930
  * Update patches
  * Update Standards-Version
  * Use encrypted protocols for VCS URLs
  * Update email address and copyright years
  * Drop manpages and refer to README for program documentation

 -- Afif Elghraoui <afif@debian.org>  Wed, 12 Oct 2016 01:36:56 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: dazzdb
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@ghraoui.name>
+Uploaders: Afif Elghraoui <afif@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
-	       pandoc
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/dazzdb.git
-Vcs-Git: git://anonscm.debian.org/debian-med/dazzdb.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dazzdb.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/dazzdb.git
 Homepage: https://github.com/thegenemyers/DAZZ_DB
 
 Package: dazzdb

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1
	for command in $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/*; \
	do \
		ln -s dazzdb.1 \
		$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/$$(basename $$command).1; \
	done

## dazzdb 1.0+20161112

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing
 
 ALL = fasta2DB DB2fasta quiva2DB DB2quiva DBsplit DBdust Catrack DBshow DBstats DBrm simulator \
-      fasta2DAM DAM2fasta DBdump rangen
+      fasta2DAM DAM2fasta DBdump rangen arrow2DB DB2arrow DBwipe
 
 all: $(ALL)
 
@@ -18,6 +18,12 @@
 
 DB2quiva: DB2quiva.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o DB2quiva DB2quiva.c DB.c QV.c -lm
+
+DB2arrow: DB2arrow.c DB.c QV.c DB.h QV.h
+	gcc $(CFLAGS) -o DB2arrow DB2arrow.c DB.c QV.c -lz
+
+arrow2DB: arrow2DB.c DB.c QV.c DB.h QV.h
+	gcc $(CFLAGS) -o arrow2DB arrow2DB.c DB.c QV.c -lz
 
 DBsplit: DBsplit.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o DBsplit DBsplit.c DB.c QV.c -lm
@@ -52,6 +58,10 @@
 DAM2fasta: DAM2fasta.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o DAM2fasta DAM2fasta.c DB.c QV.c -lm
 
+DBwipe: DBwipe.c DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o DBwipe DBwipe.c DB.c QV.c -lm
+
+
 clean:
 	rm -f $(ALL)
 	rm -fr *.dSYM

=== debian/changelog ===
dazzdb (1.0+20161112-2) unstable; urgency=medium

  * compiler-flags.patch: slight corrections for DBwipe

 -- Afif Elghraoui <afif@debian.org>  Wed, 18 Jan 2017 23:45:14 -0800

dazzdb (1.0+20161112-1) unstable; urgency=medium

  * New upstream snapshot (git e31d451)
  * Refresh and update patches
  * New build-dependency: zlib

 -- Afif Elghraoui <afif@debian.org>  Wed, 18 Jan 2017 22:57:17 -0800

dazzdb (1.0+20160930-2) unstable; urgency=low

  * Drop rename-simulator.patch in favor of a line in d/rules
  * Use LDLIBS rather than LDFLAGS for linking libraries
    Thanks to Logan Rosen (Closes: #849433)
  * Use debhelper compat 10
  * d/rules: remove unnecessary comment

 -- Afif Elghraoui <afif@debian.org>  Tue, 27 Dec 2016 13:19:39 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Uploaders: Afif Elghraoui <afif@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends:
+	debhelper (>= 10),
+	zlib1g-dev,
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dazzdb.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/dazzdb.git

## dazzdb 1.0+20180115

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing
 
-ALL = fasta2DB DB2fasta quiva2DB DB2quiva DBsplit DBdust Catrack DBshow DBstats DBrm simulator \
-      fasta2DAM DAM2fasta DBdump rangen arrow2DB DB2arrow DBwipe
+ALL = fasta2DB DB2fasta quiva2DB DB2quiva DBsplit DBdust Catrack DBshow DBstats DBrm DBmv \
+      simulator fasta2DAM DAM2fasta DBdump rangen arrow2DB DB2arrow DBwipe DBtrim
 
 all: $(ALL)
 
@@ -28,6 +28,9 @@
 DBsplit: DBsplit.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o DBsplit DBsplit.c DB.c QV.c -lm
 
+DBtrim: DBtrim.c DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o DBtrim DBtrim.c DB.c QV.c -lm
+
 DBdust: DBdust.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o DBdust DBdust.c DB.c QV.c -lm
 
@@ -45,6 +48,9 @@
 
 DBrm: DBrm.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o DBrm DBrm.c DB.c QV.c -lm
+
+DBmv: DBmv.c DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o DBmv DBmv.c DB.c QV.c -lm
 
 simulator: simulator.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o simulator simulator.c DB.c QV.c -lm

=== debian/changelog ===
dazzdb (1.0+20180115-1) unstable; urgency=medium

  * New upstream snapshot (git 7104852)
  * Bump copyright years
  * Bump Standards-Version to 4.1.3
  * Update and refresh patches

 -- Afif Elghraoui <afif@debian.org>  Sun, 04 Feb 2018 13:43:31 -0500

dazzdb (1.0+20171014-1) unstable; urgency=medium

  * New upstream snapshot (git 8ab7daf)
  * Update and refresh patches
  * Bump Standards-Version to 4.1.1
  * Bump copyright years

 -- Afif Elghraoui <afif@debian.org>  Fri, 20 Oct 2017 00:00:08 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
 	debhelper (>= 10),
 	zlib1g-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dazzdb.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/dazzdb.git
 Homepage: https://github.com/thegenemyers/DAZZ_DB

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
# Use a less generic name for `simulator`
	cd $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin && mv simulator dsimulator
	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1
	for command in $(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/*; \
	do \
		ln -s dazzdb.1 \
		$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/$$(basename $$command).1; \
	done

## dazzdb 1.0+git20180908.0bd5e07

=== debian/changelog ===
dazzdb (1.0+git20180908.0bd5e07-1) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * d/watch: Use git mode
  * New Git commit
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 10:29:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Uploaders: Afif Elghraoui <afif@debian.org>
 Section: science
 Priority: optional
-Build-Depends:
-	debhelper (>= 10),
-	zlib1g-dev,
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dazzdb.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/dazzdb.git
+Build-Depends: debhelper (>= 11~),
+               zlib1g-dev
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/dazzdb
+Vcs-Git: https://salsa.debian.org/med-team/dazzdb.git
 Homepage: https://github.com/thegenemyers/DAZZ_DB
 
 Package: dazzdb

## dazzdb 1.0+git20190616.034f1ab

=== debian/changelog ===
dazzdb (1.0+git20190616.034f1ab-1) unstable; urgency=medium

  * Afif removed himself from Uploaders
  * Add myself to Uploaders
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 12:37:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: dazzdb
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/dazzdb
 Vcs-Git: https://salsa.debian.org/med-team/dazzdb.git
 Homepage: https://github.com/thegenemyers/DAZZ_DB

## dazzdb 1.0+git20200115.d8adde7

=== debian/changelog ===
dazzdb (1.0+git20200115.d8adde7-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Enable cross building
    Closes: #949605

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 16:52:16 +0100

dazzdb (1.0+git20200115.d8adde7-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Standards-Version: 4.5.0
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Steffen Möller <moeller@debian.org>  Sun, 19 Jan 2020 18:11:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/dazzdb
 Vcs-Git: https://salsa.debian.org/med-team/dazzdb.git
 Homepage: https://github.com/thegenemyers/DAZZ_DB

## dazzdb 1.0+git20200727.d22ae58

=== debian/changelog ===
dazzdb (1.0+git20200727.d22ae58-1) unstable; urgency=medium

  [ Pranav Ballaney ]
  * Install autopkgtests
  * Install docs
  * Add Pranav Ballaney to uploaders

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Mon, 27 Jul 2020 22:13:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: dazzdb
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Pranav Ballaney <ballaneypranav@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/dazzdb
 Vcs-Git: https://salsa.debian.org/med-team/dazzdb.git
 Homepage: https://github.com/thegenemyers/DAZZ_DB
+Rules-Requires-Root: no
 
 Package: dazzdb
 Architecture: any

## dazzdb 1.0+git20201103.8d98c37

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing
 
 ALL = fasta2DB DB2fasta quiva2DB DB2quiva DBsplit DBdust Catrack DBshow DBstats DBrm DBmv \
-      simulator fasta2DAM DAM2fasta DBdump rangen arrow2DB DB2arrow DBwipe DBtrim
+      simulator fasta2DAM DAM2fasta DBdump rangen arrow2DB DB2arrow DBwipe DBtrim DBa2b DBb2a
 
 all: $(ALL)
 
@@ -67,6 +67,11 @@
 DBwipe: DBwipe.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o DBwipe DBwipe.c DB.c QV.c -lm
 
+DBa2b: DBa2b.c DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o DBa2b DBa2b.c DB.c QV.c -lm
+
+DBb2a: DBb2a.c DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o DBb2a DBb2a.c DB.c QV.c -lm
 
 clean:
 	rm -f $(ALL)

=== debian/changelog ===
dazzdb (1.0+git20201103.8d98c37-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix a use-after-free in DBstats (Closes: #993770)

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 14 Sep 2021 20:53:44 +0200

dazzdb (1.0+git20201103.8d98c37-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jan 2021 10:02:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/dazzdb
 Vcs-Git: https://salsa.debian.org/med-team/dazzdb.git
 Homepage: https://github.com/thegenemyers/DAZZ_DB

=== debian/watch ===
version=4

opts="mode=git,pretty=1.0+git%cd.%h" \
    https://github.com/thegenemyers/DAZZ_DB.git HEAD

#opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/dazzdb-$1.tar.gz/" \
#    https://github.com/thegenemyers/DAZZ_DB/tags (?:.*/)?[vV]?(\d[\d\.]*)\.tar\.gz

## dazzdb 1.0+git20220426.8a55f0e

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing
 
-ALL = fasta2DB DB2fasta quiva2DB DB2quiva DBsplit DBdust Catrack DBshow DBstats DBrm DBmv \
+ALL = fasta2DB DB2fasta quiva2DB DB2quiva DBsplit DBdust Catrack DBshow DBstats DBrm DBmv DBcp \
       simulator fasta2DAM DAM2fasta DBdump rangen arrow2DB DB2arrow DBwipe DBtrim DBa2b DBb2a
 
 all: $(ALL)
@@ -50,7 +50,10 @@
 	gcc $(CFLAGS) -o DBrm DBrm.c DB.c QV.c -lm
 
 DBmv: DBmv.c DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o DBmv DBmv.c DB.c QV.c -lm
+	gcc $(CFLAGS) -DMOVE -o DBmv DBmv.c DB.c QV.c -lm
+
+DBcp: DBmv.c DB.c DB.h QV.c QV.h
+	gcc $(CFLAGS) -o DBcp DBmv.c DB.c QV.c -lm
 
 simulator: simulator.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o simulator simulator.c DB.c QV.c -lm

=== debian/changelog ===
dazzdb (1.0+git20220426.8a55f0e-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Refresh append-cflags.patch.
  * Refresh compiler-flags.patch.
  * Remove cross.patch: not relevant with last refresh of compiler-flags.patch.

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 Jun 2022 23:11:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/dazzdb
 Vcs-Git: https://salsa.debian.org/med-team/dazzdb.git
 Homepage: https://github.com/thegenemyers/DAZZ_DB

## dazzdb 1.0+git20221215.aad3a46

=== debian/changelog ===
dazzdb (1.0+git20221215.aad3a46-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 10:52:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/dazzdb
 Vcs-Git: https://salsa.debian.org/med-team/dazzdb.git
 Homepage: https://github.com/thegenemyers/DAZZ_DB

## dazzdb 1.0+git20230919.414ad05

=== debian/changelog ===
dazzdb (1.0+git20230919.414ad05-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:40:44 +1100

dazzdb (1.0+git20230919.414ad05-2) unstable; urgency=medium

  * fix-declaration.patch: new: fix build failure.
    The patch appends the missing declarations for vasprintf(3).
    (Closes: #1066663)
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Mar 2024 19:23:21 +0100

dazzdb (1.0+git20230919.414ad05-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 27 Nov 2023 17:14:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: dazzdb
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Pranav Ballaney <ballaneypranav@gmail.com>
+           Pranav Ballaney <ballaneypranav@gmail.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## dazzdb 1.0+git20240115.be65e59

=== debian/changelog ===
dazzdb (1.0+git20240115.be65e59-1) unstable; urgency=medium

  * New upstream version 1.0+git20240115.be65e59
  * d/control: declare compliance to standards version 4.7.0.
  * d/t/run-unit-test: update expected program output.

 -- Étienne Mollier <emollier@debian.org>  Tue, 28 May 2024 22:26:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: dazzdb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Pranav Ballaney <ballaneypranav@gmail.com>,
            Étienne Mollier <emollier@debian.org>
@@ -8,7 +7,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/dazzdb
 Vcs-Git: https://salsa.debian.org/med-team/dazzdb.git
 Homepage: https://github.com/thegenemyers/DAZZ_DB

## dazzdb 1.0+git20250217.a3eefd4

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing
 
 ALL = fasta2DB DB2fasta quiva2DB DB2quiva DBsplit DBdust Catrack DBshow DBstats DBrm DBmv DBcp \
-      simulator fasta2DAM DAM2fasta DBdump rangen arrow2DB DB2arrow DBwipe DBtrim DBa2b DBb2a
+      simulator fasta2DAM DAM2fasta rangen arrow2DB DB2arrow DBwipe DBtrim DB2ONE
 
 all: $(ALL)
 
@@ -40,8 +40,8 @@
 DBshow: DBshow.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o DBshow DBshow.c DB.c QV.c -lm
 
-DBdump: DBdump.c DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o DBdump DBdump.c DB.c QV.c -lm
+DB2ONE: DB2ONE.c DB.c DB.h QV.c QV.h ONElib.c ONElib.h
+	gcc $(CFLAGS) -o DB2ONE DB2ONE.c DB.c QV.c ONElib.c -lm
 
 DBstats: DBstats.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o DBstats DBstats.c DB.c QV.c -lm
@@ -70,12 +70,6 @@
 DBwipe: DBwipe.c DB.c DB.h QV.c QV.h
 	gcc $(CFLAGS) -o DBwipe DBwipe.c DB.c QV.c -lm
 
-DBa2b: DBa2b.c DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o DBa2b DBa2b.c DB.c QV.c -lm
-
-DBb2a: DBb2a.c DB.c DB.h QV.c QV.h
-	gcc $(CFLAGS) -o DBb2a DBb2a.c DB.c QV.c -lm
-
 clean:
 	rm -f $(ALL)
 	rm -fr *.dSYM

=== debian/changelog ===
dazzdb (1.0+git20250217.a3eefd4-1) unstable; urgency=medium

  * New upstream version 1.0+git20250217.a3eefd4
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Sat, 01 Mar 2025 18:39:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/dazzdb
 Vcs-Git: https://salsa.debian.org/med-team/dazzdb.git
 Homepage: https://github.com/thegenemyers/DAZZ_DB

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 #DH_VERBOSE = 1
 
 include /usr/share/dpkg/default.mk
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@
